## apiextractor 0.10.1

=== CMakeLists.txt ===
include(icecc.cmake)
project(apiextractor)

cmake_minimum_required(VERSION 2.6)

find_package(Qt4 4.5.0 REQUIRED)

find_package(LibXml2 2.6.32)
find_package(LibXslt 1.1.19)

option(DISABLE_DOCSTRINGS "Disable documentation extraction." FALSE)
option(BUILD_TESTS "Build tests." TRUE)
option(INSTALL_TESTS "Install tests" FALSE)
option(ENABLE_VERSION_SUFFIX "Used to use current version in suffix to generated files. This is used to allow multiples versions installed simultaneous." FALSE)

if (NOT DISABLE_DOCSTRINGS)
    if (NOT LIBXSLT_FOUND OR NOT LIBXML2_FOUND)
        set(DISABLE_DOCSTRINGS TRUE)
        message(WARNING "libxslt and/or libxml not found, disabling support to doc strings!")
    endif()
endif()

if(MSVC)
    set(CMAKE_CXX_FLAGS "/Zc:wchar_t- /GR /EHsc /DWIN32 /D_WINDOWS /D_SCL_SECURE_NO_WARNINGS")
elseif(CMAKE_HOST_UNIX)
    option(ENABLE_GCC_OPTIMIZATION "Enable specific GCC flags to optimize library size and performance. Only available on Release Mode" 0)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden")
    set(CMAKE_CXX_FLAGS_DEBUG "-g")
    if(ENABLE_GCC_OPTIMIZATION)
        set(CMAKE_BUILD_TYPE Release)
        set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG -Os -Wno-strict-aliasing -Wl,-O1")
        if (NOT CMAKE_HOST_APPLE)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--hash-style=gnu")
        endif()
    endif()
    if(NOT CMAKE_HOST_APPLE)
        set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--version-script,${CMAKE_CURRENT_SOURCE_DIR}/symbols.filter")
    endif()
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

if(BUILD_TESTS)
    set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/tests)
endif ()

set(apiextractor_MAJOR_VERSION 0)
set(apiextractor_MINOR_VERSION 10)
set(apiextractor_MICRO_VERSION 1)
set(apiextractor_VERSION "${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION}.${apiextractor_MICRO_VERSION}")
configure_file(apiextractorversion.h.in ${CMAKE_CURRENT_BINARY_DIR}/apiextractorversion.h @ONLY)
set(apiextractor_SOVERSION ${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION})
set(QT_USE_QTCORE 1)
set(QT_USE_QTXML 1)
include(${QT_USE_FILE})
add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)
add_definitions(-DQT_SHARED)
add_definitions(-DRXX_ALLOCATOR_INIT_0)

if(ENABLE_VERSION_SUFFIX)
    set(apiextractor_SUFFIX "-${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION}")
else()
    set(apiextractor_SUFFIX "")
endif()

set(apiextractor_SRC
apiextractor.cpp
abstractmetabuilder.cpp
abstractmetalang.cpp
asttoxml.cpp
fileout.cpp
graph.cpp
reporthandler.cpp
typeparser.cpp
typesystem.cpp
include.cpp
typedatabase.cpp
parser/ast.cpp
parser/binder.cpp
parser/class_compiler.cpp
parser/codemodel.cpp
parser/codemodel_finder.cpp
parser/compiler_utils.cpp
parser/control.cpp
parser/declarator_compiler.cpp
parser/default_visitor.cpp
parser/dumptree.cpp
parser/lexer.cpp
parser/list.cpp
parser/name_compiler.cpp
parser/parser.cpp
parser/smallobject.cpp
parser/tokens.cpp
parser/type_compiler.cpp
parser/visitor.cpp
parser/rpp/builtin-macros.cpp
parser/rpp/preprocessor.cpp
)

if (NOT DISABLE_DOCSTRINGS)
    set(apiextractor_SRC
        ${apiextractor_SRC}
        docparser.cpp
        doxygenparser.cpp
        qtdocparser.cpp
    )
    set(APIEXTRACTOR_EXTRA_INCLUDES ${LIBXSLT_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
    set(APIEXTRACTOR_EXTRA_LIBRARIES ${LIBXSLT_LIBRARIES} ${LIBXML2_LIBRARIES})
else()
    set(APIEXTRACTOR_EXTRA_INCLUDES "")
    set(APIEXTRACTOR_EXTRA_LIBRARIES "")
endif()

set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)

qt4_add_resources(apiextractor_RCCS_SRC generator.qrc)
qt4_automoc(apiextractor_SRC)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/parser
                    ${CMAKE_CURRENT_SOURCE_DIR}/parser/rpp
                    ${QT_INCLUDE_DIR}
                    ${APIEXTRACTOR_EXTRA_INCLUDES}
                    )

add_library(apiextractor SHARED ${apiextractor_SRC} ${apiextractor_RCCS_SRC})
target_link_libraries(apiextractor ${APIEXTRACTOR_EXTRA_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTXMLPATTERNS_LIBRARY} ${QT_QTXML_LIBRARY})
set_target_properties(apiextractor PROPERTIES VERSION ${apiextractor_VERSION}
                                              SOVERSION ${apiextractor_SOVERSION}
                                              OUTPUT_NAME "apiextractor${apiextractor_SUFFIX}"
                                              DEFINE_SYMBOL APIEXTRACTOR_EXPORTS)

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${apiextractor_VERSION})
add_custom_target(dist
    COMMAND mkdir -p "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}" &&
            git log > "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}/ChangeLog" &&
            git archive --prefix=${ARCHIVE_NAME}/ HEAD --format=tar --output="${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            tar -C "${CMAKE_BINARY_DIR}" --owner=root --group=root -r "${ARCHIVE_NAME}/ChangeLog" -f "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            bzip2 -f9 "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            echo "Source package created at ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2.\n"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

set(root_HEADERS
apiextractormacros.h
abstractmetalang.h
apiextractor.h
graph.h
reporthandler.h
typesystem.h
fileout.h
docparser.h
qtdocparser.h
include.h
typedatabase.h
)

if (BUILD_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif()
add_subdirectory(data)
add_subdirectory(doc)

install(FILES ${root_HEADERS} DESTINATION include/apiextractor${apiextractor_SUFFIX})
install(TARGETS apiextractor EXPORT apiextractor
                             LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                             ARCHIVE DESTINATION "${LIB_INSTALL_DIR}"
                             RUNTIME DESTINATION bin)

=== debian/changelog ===
apiextractor (0.10.1-1) unstable; urgency=low

  * New upstream release.

 -- Didier Raboud <odyx@debian.org>  Fri, 01 Apr 2011 09:52:51 +0200

apiextractor (0.10.0-4) unstable; urgency=low

  * Disable symbols tracking: so far there is only one reverse
    dependency (generatorrunner), developed by the same upstream, for
    the same project (PySide). Furthermore, upstream bumps SOVERSIONs
    really often.

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Mar 2011 21:54:04 +0100

apiextractor (0.10.0-3) unstable; urgency=low

  * Upload to unstable.
  * Update symbols for new Qt and new gcc options.

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Mar 2011 14:01:29 +0100

apiextractor (0.10.0-2) experimental; urgency=low

  * Bump libapiextractor SOVERSION to 0.10; really needed.
    - Remove force_0.9_soversion.patch.

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Feb 2011 14:17:08 +0100

apiextractor (0.10.0-1) experimental; urgency=low

  * New 0.10.0 upstream release (~rc1)
  
  * debian/rules:
    - define the SOVERSION as variable.
    - only test for Ubuntu release when building on Ubuntu.
  * Symbols:
    - Update for 0.9.4 for armel and sparc.
    - Add some for 0.10.0.
  * Patches: 
    + Add force_0.9_soversion.patch to keep the 0.9 soversion.

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Feb 2011 13:34:33 +0100

apiextractor (0.9.4-1) experimental; urgency=low

  * New 0.9.4 upstream release (~beta5)
    - Bump libapiextractor SONAME to 0.9.

  * Rewrite completely the symbols handling:
    - Split them to track them across various distributions and gcc versions.
  * Bump Qt B-D to >= 4.7.
  * Use my @d.o address and remove the DMUA flag.

 -- Didier Raboud <odyx@debian.org>  Mon, 14 Feb 2011 15:18:44 +0100

apiextractor (0.8.1-3) unstable; urgency=low

  * Update symbols (again) for all arches and for GCC-4.5.

 -- Didier Raboud <didier@raboud.com>  Mon, 15 Nov 2010 14:24:12 +0100

apiextractor (0.8.1-2) unstable; urgency=low

  * Updating symbols, should solve the FTBFSes (Closes: #601302).

 -- Didier Raboud <didier@raboud.com>  Wed, 27 Oct 2010 09:00:00 +0200

=== debian/control ===
Source: apiextractor
Priority: optional
Section: libs
Maintainer: Didier Raboud <odyx@debian.org>
Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.0.50), cmake (>= 2.6.0),
               libqt4-dev (>= 4:4.7.0), libqt4-xmlpatterns (>= 4:4.7.0),
               libxml2-dev (>= 2.6.32), libxslt1-dev (>= 1.1.19), pkg-config
Build-Depends-Indep: python-sphinx
Standards-Version: 3.9.1.0
Vcs-Git: git://git.debian.org/collab-maint/apiextractor.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/apiextractor.git
Homepage: http://www.pyside.org/home-binding/api-extractor/

Package: libapiextractor-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libapiextractor0.10 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the library headers parser
 The API Extractor library is used by the binding generator to parse headers of
 a given library and merge this data with information provided by typesystem
 (XML) files, resulting in a representation of how the API should be exported
 to the chosen target language. The generation of source code for the bindings
 is performed by specific generators using the API Extractor library.
 .
 This package contains the debugging symbols.

Package: libapiextractor-dev
Section: libdevel
Architecture: any
Depends: libapiextractor0.10 (= ${binary:Version}), ${misc:Depends},
 libqt4-dev (>= 4:4.7.0)
Description: development files for the library headers parser
 The API Extractor library is used by the binding generator to parse headers of
 a given library and merge this data with information provided by typesystem
 (XML) files, resulting in a representation of how the API should be exported
 to the chosen target language. The generation of source code for the bindings
 is performed by specific generators using the API Extractor library.
 .
 This package contains the development files.

Package: libapiextractor0.10
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library headers parser that creates an API abstract representation
 The API Extractor library is used by the binding generator to parse headers of
 a given library and merge this data with information provided by typesystem
 (XML) files, resulting in a representation of how the API should be exported
 to the chosen target language. The generation of source code for the bindings
 is performed by specific generators using the API Extractor library.
 .
 This package contains the runtime libraries.

Package: apiextractor-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Description: documentation for the library headers parser
 The API Extractor library is used by the binding generator to parse headers of
 a given library and merge this data with information provided by typesystem
 (XML) files, resulting in a representation of how the API should be exported
 to the chosen target language. The generation of source code for the bindings
 is performed by specific generators using the API Extractor library.
 .
 This package contains the documentation for apiextractor.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=cmake --parallel $@

override_dh_strip:
	dh_strip --dbg-package=libapiextractor-dbg

override_dh_install:
	dh_install --list-missing

override_dh_compress:
	dh_compress -X.js

binary: binary-arch binary-indep;

binary-indep:
	dh binary-indep --until dh_auto_build
	dh_auto_build -i -- doc
	dh binary-indep --after dh_auto_build

## apiextractor 0.10.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 set(apiextractor_MAJOR_VERSION 0)
 set(apiextractor_MINOR_VERSION 10)
-set(apiextractor_MICRO_VERSION 1)
+set(apiextractor_MICRO_VERSION 5)
 set(apiextractor_VERSION "${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION}.${apiextractor_MICRO_VERSION}")
 configure_file(apiextractorversion.h.in ${CMAKE_CURRENT_BINARY_DIR}/apiextractorversion.h @ONLY)
 set(apiextractor_SOVERSION ${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION})

=== tests/CMakeLists.txt ===

macro(declare_test testname)
    qt4_automoc("${testname}.cpp")
    add_executable(${testname} "${testname}.cpp")
    include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${apiextractor_SOURCE_DIR})
    target_link_libraries(${testname} ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} apiextractor)
    add_test(${testname} ${testname})
    if (INSTALL_TESTS)
        install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${testname} DESTINATION share/apiextractor${apiextractor_SUFFIX}/tests)
    endif()
endmacro(declare_test testname)

declare_test(testabstractmetaclass)
declare_test(testabstractmetatype)
declare_test(testaddfunction)
declare_test(testarrayargument)
declare_test(testcodeinjection)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/utf8code.txt"
                "${CMAKE_CURRENT_BINARY_DIR}/utf8code.txt" COPYONLY)
declare_test(testcontainer)
declare_test(testconversionoperator)
declare_test(testconversionruletag)
declare_test(testctorinformation)
declare_test(testdroptypeentries)
declare_test(testdtorinformation)
declare_test(testenum)
declare_test(testextrainclude)
declare_test(testfunctiontag)
declare_test(testimplicitconversions)
declare_test(testmodifyfunction)
declare_test(testmultipleinheritance)
declare_test(testnamespace)
declare_test(testnestedtypes)
declare_test(testprimitivetypetag)
declare_test(testrefcounttag)
declare_test(testreferencetopointer)
declare_test(testremovefield)
declare_test(testremoveimplconv)
declare_test(testresolvetype)
declare_test(testreverseoperators)
declare_test(testtemplates)
declare_test(testtoposort)
declare_test(testvoidarg)
declare_test(testtyperevision)
if (NOT DISABLE_DOCSTRINGS)
    declare_test(testmodifydocumentation)
    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/a.xml"
                   "${CMAKE_CURRENT_BINARY_DIR}/a.xml" COPYONLY)
endif()

=== debian/changelog ===
apiextractor (0.10.5-2) unstable; urgency=low

  * Convert library to multiarch.
    - Bump B-D:
      - on debhelper to 8.9.3.
      - on cmake to 2.8.4+dfsg.1-3~.
    - Bump debhelper compatibility level to 9.
    - Override lintian warning about debhelper being too young.
    - Update *.install files to cope with new library paths.
    - Initialize D_H_MULTIARCH from dpkg-architectures, use it in the
      LIB_SUFFIX cmake variable.
    - Add a Pre-Depends on multiarch-support to the libapiextractor package.
    - Add Multi-Arch: same to the libapiextractor package.
  * Drop superfluous dh_compress call, obsoleted by dh 8.1.0.
  * Run tests only in arch-any.

 -- Didier Raboud <odyx@debian.org>  Fri, 05 Aug 2011 19:01:45 +0200

apiextractor (0.10.5-1) unstable; urgency=low

  * New upstream release (1.0.5).

 -- Didier Raboud <odyx@debian.org>  Fri, 22 Jul 2011 21:36:23 +0200

apiextractor (0.10.4-1) unstable; urgency=low

  *  New upstream release (1.0.4).

 -- Didier Raboud <odyx@debian.org>  Thu, 23 Jun 2011 11:51:20 +0200

apiextractor (0.10.3-1) unstable; urgency=low

  * New upstream release (1.0.3).

 -- Didier Raboud <odyx@debian.org>  Thu, 26 May 2011 16:39:46 +0200

apiextractor (0.10.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Fri, 29 Apr 2011 20:45:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Priority: optional
 Section: libs
 Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.0.50), cmake (>= 2.6.0),
+Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 8.9.3), cmake (>= 2.8.4+dfsg.1-3~),
                libqt4-dev (>= 4:4.7.0), libqt4-xmlpatterns (>= 4:4.7.0),
                libxml2-dev (>= 2.6.32), libxslt1-dev (>= 1.1.19), pkg-config
 Build-Depends-Indep: python-sphinx
-Standards-Version: 3.9.1.0
+Standards-Version: 3.9.2.0
 Vcs-Git: git://git.debian.org/collab-maint/apiextractor.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/apiextractor.git
 Homepage: http://www.pyside.org/home-binding/api-extractor/
@@ -42,6 +42,8 @@
 Package: libapiextractor0.10
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: library headers parser that creates an API abstract representation
  The API Extractor library is used by the binding generator to parse headers of
  a given library and merge this data with information provided by typesystem

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_strip:
	dh_strip -a --dbg-package=libapiextractor-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_install:
	dh_install -a --list-missing

override_dh_auto_test:
	dh_auto_test -a

override_dh_auto_build:
	dh_auto_build -a
	dh_auto_build -i -- doc

## apiextractor 0.10.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 set(apiextractor_MAJOR_VERSION 0)
 set(apiextractor_MINOR_VERSION 10)
-set(apiextractor_MICRO_VERSION 5)
+set(apiextractor_MICRO_VERSION 6)
 set(apiextractor_VERSION "${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION}.${apiextractor_MICRO_VERSION}")
 configure_file(apiextractorversion.h.in ${CMAKE_CURRENT_BINARY_DIR}/apiextractorversion.h @ONLY)
 set(apiextractor_SOVERSION ${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION})

=== debian/changelog ===
apiextractor (0.10.6-1ubuntu1) oneiric; urgency=low

  * debian/control: Ubuntu 11.10 only has debhelper 8.9.0.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 06 Sep 2011 14:16:02 -0400

apiextractor (0.10.6-1) experimental; urgency=low

  * New upstream release (1.0.6).
    - Fixes the documentation generation.

  * Use dh_sphinxdoc to handle the generated documentation.
    - Replace libjs-jquery by ${sphinxdoc:Depends} in Depends.
    - Drop apiextractor-doc.links including explicit symlink to libjs-jquery.
    - Conditionally use dh_sphinxdoc when needed.
  * Cleanup debian/rules for proper build-indep handling.
    - Move the --list-mising to the dh call.
    - Don't call dh_auto_install in -indep, as it's not needed.

 -- Didier Raboud <odyx@debian.org>  Wed, 10 Aug 2011 14:06:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: apiextractor
 Priority: optional
 Section: libs
-Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 8.9.3), cmake (>= 2.8.4+dfsg.1-3~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
+Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 8.9.0), cmake (>= 2.8.4+dfsg.1-3~),
                libqt4-dev (>= 4:4.7.0), libqt4-xmlpatterns (>= 4:4.7.0),
                libxml2-dev (>= 2.6.32), libxslt1-dev (>= 1.1.19), pkg-config
 Build-Depends-Indep: python-sphinx
@@ -56,7 +57,7 @@
 Package: apiextractor-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: documentation for the library headers parser
  The API Extractor library is used by the binding generator to parse headers of
  a given library and merge this data with information provided by typesystem

## apiextractor 0.10.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 set(apiextractor_MAJOR_VERSION 0)
 set(apiextractor_MINOR_VERSION 10)
-set(apiextractor_MICRO_VERSION 6)
+set(apiextractor_MICRO_VERSION 7)
 set(apiextractor_VERSION "${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION}.${apiextractor_MICRO_VERSION}")
 configure_file(apiextractorversion.h.in ${CMAKE_CURRENT_BINARY_DIR}/apiextractorversion.h @ONLY)
 set(apiextractor_SOVERSION ${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION})

=== debian/changelog ===
apiextractor (0.10.7-1) unstable; urgency=low

  * New upstream release (1.0.7).

  * Version Build-Depends on python-sphinx.
  * Amend previous changelog entry: it was correctly uploaded to
    unstable.

 -- Didier Raboud <odyx@debian.org>  Thu, 22 Sep 2011 10:15:15 +0200

apiextractor (0.10.6-1) unstable; urgency=low

  * New upstream release (1.0.6).
    - Fixes the documentation generation.

  * Use dh_sphinxdoc to handle the generated documentation.
    - Replace libjs-jquery by ${sphinxdoc:Depends} in Depends.
    - Drop apiextractor-doc.links including explicit symlink to libjs-jquery.
    - Conditionally use dh_sphinxdoc when needed.
  * Cleanup debian/rules for proper build-indep handling.
    - Move the --list-mising to the dh call.
    - Don't call dh_auto_install in -indep, as it's not needed.

 -- Didier Raboud <odyx@debian.org>  Wed, 10 Aug 2011 14:06:16 +0200

## apiextractor 0.10.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 set(apiextractor_MAJOR_VERSION 0)
 set(apiextractor_MINOR_VERSION 10)
-set(apiextractor_MICRO_VERSION 7)
+set(apiextractor_MICRO_VERSION 8)
 set(apiextractor_VERSION "${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION}.${apiextractor_MICRO_VERSION}")
 configure_file(apiextractorversion.h.in ${CMAKE_CURRENT_BINARY_DIR}/apiextractorversion.h @ONLY)
 set(apiextractor_SOVERSION ${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION})

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -31,15 +31,18 @@
 declare_test(testmultipleinheritance)
 declare_test(testnamespace)
 declare_test(testnestedtypes)
+declare_test(testnumericaltypedef)
 declare_test(testprimitivetypetag)
 declare_test(testrefcounttag)
 declare_test(testreferencetopointer)
 declare_test(testremovefield)
 declare_test(testremoveimplconv)
+declare_test(testremoveoperatormethod)
 declare_test(testresolvetype)
 declare_test(testreverseoperators)
 declare_test(testtemplates)
 declare_test(testtoposort)
+declare_test(testvaluetypedefaultctortag)
 declare_test(testvoidarg)
 declare_test(testtyperevision)
 if (NOT DISABLE_DOCSTRINGS)

=== debian/changelog ===
apiextractor (0.10.8-1) unstable; urgency=low

  * New upstream release (1.0.8).

 -- Didier Raboud <odyx@debian.org>  Thu, 20 Oct 2011 22:39:43 +0200

## apiextractor 0.10.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,9 @@
     set(CMAKE_CXX_FLAGS "/Zc:wchar_t- /GR /EHsc /DWIN32 /D_WINDOWS /D_SCL_SECURE_NO_WARNINGS")
 elseif(CMAKE_HOST_UNIX)
     option(ENABLE_GCC_OPTIMIZATION "Enable specific GCC flags to optimize library size and performance. Only available on Release Mode" 0)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden")
+    if(NOT CYGWIN)
+        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden")
+    endif()
     set(CMAKE_CXX_FLAGS_DEBUG "-g")
     if(ENABLE_GCC_OPTIMIZATION)
         set(CMAKE_BUILD_TYPE Release)
@@ -48,7 +50,7 @@
 
 set(apiextractor_MAJOR_VERSION 0)
 set(apiextractor_MINOR_VERSION 10)
-set(apiextractor_MICRO_VERSION 8)
+set(apiextractor_MICRO_VERSION 9)
 set(apiextractor_VERSION "${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION}.${apiextractor_MICRO_VERSION}")
 configure_file(apiextractorversion.h.in ${CMAKE_CURRENT_BINARY_DIR}/apiextractorversion.h @ONLY)
 set(apiextractor_SOVERSION ${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION})
@@ -160,6 +162,7 @@
 qtdocparser.h
 include.h
 typedatabase.h
+doxygenparser.h
 )
 
 if (BUILD_TESTS)

=== debian/changelog ===
apiextractor (0.10.9-1) unstable; urgency=low

  * New upstream release (1.0.9).

 -- Didier Raboud <odyx@debian.org>  Tue, 06 Dec 2011 17:14:48 +0100

## apiextractor 0.10.10

=== debian/changelog ===
apiextractor (0.10.10-1) unstable; urgency=low

  * New upstream release (1.1.0).

 -- Didier Raboud <odyx@debian.org>  Tue, 03 Jan 2012 17:33:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: apiextractor
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 8.9.0), cmake (>= 2.8.4+dfsg.1-3~),
+Maintainer: Didier Raboud <odyx@debian.org>
+Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 8.9.3), cmake (>= 2.8.4+dfsg.1-3~),
                libqt4-dev (>= 4:4.7.0), libqt4-xmlpatterns (>= 4:4.7.0),
                libxml2-dev (>= 2.6.32), libxslt1-dev (>= 1.1.19), pkg-config
-Build-Depends-Indep: python-sphinx
+Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg-1~)
 Standards-Version: 3.9.2.0
 Vcs-Git: git://git.debian.org/collab-maint/apiextractor.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/apiextractor.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem=cmake --parallel --list-missing

override_dh_strip:
	dh_strip -a --dbg-package=libapiextractor-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	dh_auto_test -a

override_dh_auto_build:
	dh_auto_build -a
	dh_auto_build -i -- doc

override_dh_auto_install:
	dh_auto_install -a

override_dh_installdocs:
	dh_installdocs
ifneq (,$(filter apiextractor-doc, $(shell dh_listpackages)))
	dh_sphinxdoc -papiextractor-doc
endif
